## netpbm-free 10.0

=== Makefile ===
# The Netpbm make files exploit features of GNU Make that other Makes
# do not have.  Because it is a common mistake for users to try to build
# Netpbm with a different Make, we have this make file that does nothing
# but tell the user to use GNU Make.

# If the user were using GNU Make now, this file would not get used because
# GNU Make uses a make file named "GNUmakefile" in preference to "Makefile"
# if it exists.  Netpbm is shipped with a "GNUmakefile".

all merge install clean dep:
	@echo "You must use GNU Make to build Netpbm.  You are running some "
	@echo "other Make.  GNU Make may be installed on your system with "
	@echo "the name 'gmake'.  If not, see http://www.gnu.org/software ."
	@echo

=== buildtools/Makefile ===
SRCDIR = ..
SRCSUBDIR = $(SRCDIR)/buildtools
BUILDDIR = ..
include $(BUILDDIR)/Makefile.config

#libopt is a utility program used by the make files
libopt: libopt.o
	$(LD_FOR_BUILD) -o $@ $<
libopt.o: $(SRCSUBDIR)/libopt.c
	$(CC_FOR_BUILD) -c -DSHLIBPREFIXLIST="\"$(SHLIBPREFIXLIST)\"" -o $@ $<





.PHONY: clean
clean:
	rm -f libopt libopt.o

=== deprecated/Makefile ===
all:

include ../Makefile.config

install.hdr install.merge install.man install.lib install.staticlib dep clean:
build.bin install.man.bin install.man.general install.man.lib clean:
install.man.old-lib:

BINS=ppmtomap

install.lib.hdr:
	ln -sf pm_config.h $(INSTALLHDRS)/pbmplus.h

install.man.bin:
	for i in $(BINS); do \
      $(MANCP) $$i.1 $(INSTALLMANUALS1)/$$i.$(SUFFIXMANUALS1) ; \
	done
	ln -sf bmptopnm.1.gz $(INSTALLMANUALS1)/bmptoppm.1.gz
	ln -sf pamstretch.1.gz $(INSTALLMANUALS1)/pnminterp.1.gz
	ln -sf pamstretch-gen.1.gz $(INSTALLMANUALS1)/pnminterp-gen.1.gz
	# pnmnorm replace pgmnorm in March 2002.
	ln -sf pnmnorm.1.gz $(INSTALLMANUALS1)/pgmnorm.1.gz
	ln -sf pnmnorm.1.gz $(INSTALLMANUALS1)/ppmnorm.1.gz
	# pamoil replaced pgmoil in June 2001.
	ln -sf pamoil.1.gz $(INSTALLMANUALS1)/pgmoil.1.gz
	ln -sf pnmtoplainpnm.1.gz $(INSTALLMANUALS1)/pnmnoraw.1.gz
	ln -sf gemtopnm.1.gz $(INSTALLMANUALS1)/gemtopbm.1.gz
	ln -sf pnmtojpeg.1.gz $(INSTALLMANUALS1)/ppmtojpeg.1.gz

install.bin:
	for i in $(BINS); do \
	  $(INSTALL)  -c -m $(INSTALL_PERM_BIN) $$i $(INSTALLBINARIES)/$$i; \
	done
	# In March 2002, bmptopnm replaced bmptoppm
	ln -sf bmptopnm $(INSTALLBINARIES)/bmptoppm
	ln -sf pamstretch $(INSTALLBINARIES)/pnminterp
	ln -sf pamstretch-gen $(INSTALLBINARIES)/pnminterp-gen
	# pamoil replaced pgmoil in June 2001.
	ln -sf pamoil $(INSTALLBINARIES)/pgmoil
	ln -sf pnmtoplainpnm $(INSTALLBINARIES)/pnmnoraw
	ln -sf gemtopnm $(INSTALLBINARIES)/gemtopbm
	# In October 2001, pnmtojpeg replaced ppmtojpeg
	ln -sf pnmtojpeg $(INSTALLBINARIES)/ppmtojpeg
	# In March 2002, pnmnorm replaced ppmnorm and pgmnorm
	ln -sf pnmnorm $(INSTALLBINARIES)/ppmnorm
	ln -sf pnmnorm $(INSTALLBINARIES)/pgmnorm

=== include/Makefile ===

all:

# HEADERS=netpbm-shhopt.h pam.h
HEADERS=pam.h \
	libpbm.h libpgm.h libppm.h \
	pam.h pbm.h pgm.h \
	pm.h pm_config.h \
	pnm.h ppm.h ppmcmap.h

include ../Makefile.config

install.lib.hdr:
	for i in $(HEADERS); do \
		$(INSTALL) -m $(INSTALL_PERM_HDR) $$i $(INSTALLHDRS)/$$i; done

install.hdr install.merge install.man install.lib install.staticlib dep clean:
build.bin install.man.bin install.man.general install.man.lib clean:
install.bin:
install.man.old-lib:

=== pbm/Makefile ===
SRCDIR = ..
SRCSUBDIR = $(SRCDIR)/pbm
BUILDDIR = ..

include $(BUILDDIR)/Makefile.config

INCLUDE = -I$(SRCDIR)/shhopt

PORTBINARIES =	atktopbm brushtopbm cmuwmtopbm g3topbm \
		icontopbm macptopbm mdatopbm mgrtopbm \
		pbmclean pbmlife pbmmake pbmmask pbmpscale \
		pbmreduce pbmtext pbmtextps \
		pbmto10x pbmtoascii pbmtoatk \
		pbmtobbnbg pbmtocmuwm \
		pbmtoepsi pbmtoepson \
		pbmtog3 pbmtogem pbmtogo pbmtoicon pbmtolj \
		pbmtomacp pbmtomda pbmtomgr pbmtonokia \
		pbmtopi3 pbmtoplot pbmtopsg3 pbmtoptx pbmtowbmp \
		pbmtox10bm pbmtoxbm pbmtoybm pbmtozinc \
		pbmupc pi3topbm \
		wbmptopbm xbmtopbm ybmtopbm	

ifneq ($(LEX)x,x)
  PORTBINARIES += thinkjettopbm
endif

#pbmpage uses sqrt(), which is sometimes in libc, not libm.  Is it ever
#in libm?
MATHBINARIES =	pbmpage
BINARIES =	$(PORTBINARIES) $(MATHBINARIES)

OBJECTS = $(patsubst %, %.o, $(BINARIES))

MERGEBINARIES = $(BINARIES)
MERGE_OBJECTS = $(patsubst %,%.o2, $(MERGEBINARIES))

# Library objects to be built and linked by Makefile.common:
LIBOBJECTS = libpm.o libpbm1.o libpbm2.o libpbm3.o libpbm4.o libpbm5.o bitio.o
ifneq (${VMS}x,x)
LIBOBJECTS += libpbmvms.o
endif
# Library objects to be linked but not built by Makefile.common:
LIBOBJECTS_X = $(BUILDDIR)/shhopt/shhopt.o

MANUALS1 =	$(BINARIES)
MANUALS3 =	libpbm
MANUALS5 =	pbm

MERGENAME = pbmmerge

all:	build.bin

.PHONY: merge
merge: $(MERGENAME)
	$(MAKE) -C pbmtoppa all

include $(SRCDIR)/Makefile.common

# Note that we create a new compile.h only for the first make after a
# make clean.  This is good enough.  We used to do stamp-date for
# every build of "all" from the Netpbm top directory, but nowhere
# else, so it was really sloppy.

$(BUILDDIR)/shhopt/shhopt.o:
	cd ../shhopt; $(MAKE) shhopt.o
$(BUILDDIR)/shhopt/libshhopt.a:
	cd ../shhopt; $(MAKE) libshhopt.a

.PHONY: clean
clean: clean.common
	$(MAKE) -C pbmtoppa clean

FORCE:

=== pgm/Makefile ===
SRCDIR = ..
BUILDDIR = ..
include $(BUILDDIR)/Makefile.config

INCLUDE = -I$(SRCDIR)/shhopt

PORTBINARIES =	asciitopgm bioradtopgm fstopgm hipstopgm \
		lispmtopgm pbmtopgm pgmbentley pgmenhance pgmhist \
		pgmnoise pgmramp pgmslice pgmtofs pgmtolispm \
		pgmtopbm psidtopgm sbigtopgm
MATHBINARIES =	pgmcrater pgmedge pgmtexture rawtopgm pgmkernel
BINARIES =	$(PORTBINARIES) $(MATHBINARIES)

OBJECTS = $(patsubst %, %.o, $(BINARIES))
MERGEBINARIES = $(BINARIES)
MERGE_OBJECTS = $(patsubst %,%.o2, $(MERGEBINARIES))

LIBOBJECTS = libpgm1.o libpgm2.o

MANUALS1 =	$(BINARIES)
MANUALS3 =	libpgm
MANUALS5 =	pgm

MERGENAME = pgmmerge

.PHONY: all
all:	$(PGMLIB) $(BINARIES) $(EXTRA_STATICLIB)
.PHONY: merge
merge: $(MERGENAME)

# LIBRARIES

.PHONY: install.merge
install.merge: install.merge.common

include $(SRCDIR)/Makefile.common

.PHONY: clean
clean: clean.common

FORCE:

=== ppm/Makefile ===
SRCDIR = ..
BUILDDIR = ..
include $(BUILDDIR)/Makefile.config

INCLUDE= -I$(SRCDIR)/shhopt

ifneq ($(LINUXSVGAHDR_DIR),NONE)
  INCLUDE += -I$(LINUXSVGAHDR_DIR)
endif

ifeq ($(LINUXSVGALIB_DIR),NONE)
  LINUXSVGALD =
else
  LINUXSVGALD = -L$(LINUXSVGALIB_DIR) -lvga -lm
endif

PORTBINARIES =	411toppm eyuvtoppm gouldtoppm ilbmtoppm imgtoppm \
		leaftoppm mtvtoppm pcxtoppm pgmtoppm pi1toppm \
		pjtoppm neotoppm \
		ppm3d ppmbrighten ppmchange ppmcolormask ppmcolors \
		ppmdim ppmdist ppmdither \
		ppmflash ppmhist ppmmake ppmmix \
		ppmquant ppmrelief ppmshift ppmspread ppmtoacad \
		ppmtobmp ppmtoeyuv ppmtoleaf \
		ppmtoicr ppmtoilbm ppmtolj ppmtomitsu \
		ppmtopcx ppmtopgm ppmtopi1 ppmtopict ppmtopj \
		ppmtopuzz ppmtorgb3 ppmtosixel \
		ppmtotga ppmtouil ppmtowinicon ppmtoxpm ppmtoyuv \
		ppmtoyuvsplit ppmtv ppmtoneo \
		qrttoppm rawtoppm rgb3toppm sldtoppm spctoppm \
		sputoppm tgatoppm winicontoppm ximtoppm xpmtoppm xvminitoppm \
		yuvtoppm yuvsplittoppm

#		picttoppm 
# We don't build vidtoppm by default, because it requires special libraries
# and there is no known requirement for vidtoppm.


MERGEBINARIES = $(PORTBINARIES) $(MATHBINARIES)
NOMERGEBINARIES =
ifneq ($(LINUXSVGAHDR_DIR),NONE)
  ifneq ($(LINUXSVGALIB_DIR),NONE)
    NOMERGEBINARIES += ppmsvgalib
  endif
endif

MATHBINARIES = ppmcie ppmforge ppmlabel ppmntsc ppmpat ppmqvga
BINARIES = $(MERGEBINARIES) $(NOMERGEBINARIES) 
SCRIPTS = ppmfade ppmshadow ppmquantall ppmrainbow # ppmtomap

OBJECTS = $(patsubst %, %.o, $(BINARIES))

MERGE_OBJECTS = $(patsubst %,%.o2, $(MERGEBINARIES))

LIBOBJECTS = libppm1.o libppm2.o libppmcmap.o libppm4.o libppm5.o \
	libppmfloyd.o

MANUALS1 = $(BINARIES) $(SCRIPTS)
MANUALS3 = libppm
MANUALS5 = ppm

MERGENAME= ppmmerge

.PHONY: all
all: $(LIBPPM) $(BINARIES) $(EXTRA_STATICLIB)
	$(MAKE) -C ppmtompeg all
.PHONY: merge
merge:      $(MERGENAME) $(NOMERGEBINARIES)
	$(MAKE) -C ppmtompeg all

ppmsvgalib: %: %.o $(NETPBMLIB)
	$(LD) $(LDFLAGS) -o $@ $< $(NETPBMLIB) $(LINUXSVGALD) \
	   $(CDEBUG) 

install.lib.hdr:
	$(INSTALL) -m $(INSTALL_PERM_HDR) ppmdraw.h $(INSTALLHDRS)/ppmdraw.h
			

include $(SRCDIR)/Makefile.common

.PHONY: clean
clean: clean.common
	$(MAKE) -C ppmtompeg clean

FORCE:

=== shhopt/Makefile ===
SRCDIR = ..
include $(SRCDIR)/Makefile.config

# $Id: Makefile,v 1.3 2003/08/28 20:12:30 aba-guest Exp $
DIST		= shhopt
VERMAJ		= 1
VERMIN		= 1
VERPAT		= 6
VERSION		= $(VERMAJ).$(VERMIN).$(VERPAT)

# Define SHARED as 1 for Linux shared ELF library
#SHARED		= 1

ifeq ($(SHARED),1)
LIBTARGET	= lib$(DIST).so.$(VERSION)
LIBTARGETSO	= lib$(DIST).so
LIBTARGETSOMAJ	= $(LIBTARGETSO).$(VERMAJ)
CCSHRD		= -fPIC
else
LIBTARGET	= lib$(DIST).a
endif

LIBHEAD		= $(DIST).h
TARGETS		= $(LIBTARGET)

INSTBASEDIR	= /usr/local
INSTLIBDIR	= $(INSTBASEDIR)/lib
INSTINCDIR	= $(INSTBASEDIR)/include
INSTALL		= install -m 644
INSTALLPROG	= install -m 755
MKDIRP		= install -d -m 755

#CC		= gcc
OPTIM		= -O2

INCDIR		= -I.

#CCOPT		= -s -Wall $(OPTIM) $(INCDIR)
CCOPT		= $(CFLAGS) $(CFLAGS_SHLIB) $(INCDIR) $(CDEBUG)

# Object files to store in the library
LIBOBJS		= shhopt.o


all: $(TARGETS)

$(LIBTARGET): $(LIBOBJS)
ifeq ($(SHARED),1)
	$(CC) -shared -Wl,-soname,$(LIBTARGETSOMAJ) -o $(LIBTARGET) $(LIBOBJS)
else
	ar rc $(LIBTARGET) $(LIBOBJS)
	$(RANLIB) $(LIBTARGET) || true
endif

# Note that you may need GNU's -liberty if your libc lacks strtoul
example: $(LIBTARGET) example.o
	$(CC) -o example example.c \
		-L. -I. -L$(INSTLIBDIR) -I$(INSTINCDIR) -lshhopt

.c.o:
	$(CC) $(CCSHRD) -o $@ -c $(CCOPT) $<

depend dep:
	$(CC) $(INCDIR) -MM *.c >depend

install: $(LIBTARGET)
	$(MKDIRP) $(INSTLIBDIR) $(INSTINCDIR)
	$(INSTALL) $(LIBTARGET) $(INSTLIBDIR)
	$(INSTALL) $(LIBHEAD) $(INSTINCDIR)
ifeq ($(SHARED),1)
# The following is a little more complex than seems necessary because of
# the fact that $(SYMLINK) might just be a copy command.
	-(cd $(INSTLIBDIR) && rm -f $(LIBTARGETSOMAJ))
	$(SYMLINK) $(LIBTARGET) $(LIBTARGETSOMAJ)
	-(cd $(INSTLIBDIR) && rm -f $(LIBTARGETSO))
	$(SYMLINK) $(LIBTARGETSOMAJ) $(LIBTARGETSO)
	echo "If you use GNU/Linux, remember to run ldconfig"
endif

clean:
	rm -f *.o *.i *.s core *~ depend $(TARGETS)

chmod:
	chmod a+r *

# To let the author make a distribution. The rest of the Makefile
# should be used by the author only.
LSMFILE		= $(DIST)-$(VERSION).lsm
DISTDIR		= $(DIST)-$(VERSION)
DISTFILE	= $(DIST)-$(VERSION).tar.gz
DISTFILES	= README INSTALL CREDITS ChangeLog \
		  Makefile $(LSMFILE) \
		  $(LIBHEAD) \
		  shhopt.c \
		  example.c

$(LSMFILE): $(DIST).lsm.in
	VER=$(VERSION); \
	DATE=`date "+%d%b%y"|tr '[a-z]' '[A-Z]'`; \
	sed -e "s/VER/$$VER/g;s/DATE/$$DATE/g" $(DIST).lsm.in > $(LSMFILE)

veryclean: clean
	rm -f $(TARGETS) $(DISTFILE) $(LSMFILE) example

dist: $(LSMFILE) chmod
	mkdir $(DISTDIR)
	chmod a+rx $(DISTDIR)
	ln $(DISTFILES) $(DISTDIR)
	tar -cvzf $(DISTFILE) $(DISTDIR)
	chmod a+r $(DISTFILE)
	rm -rf $(DISTDIR)

ifeq (depend,$(wildcard depend))
include depend
endif

=== urt/Makefile ===
SRCDIR = ..

include $(SRCDIR)/Makefile.config

OBJECTS = Runput.o cmd_name.o \
	rle_addhist.o rle_error.o rle_getcom.o rle_getrow.o rle_getskip.o \
	rle_global.o rle_hdr.o rle_open_f.o rle_putcom.o rle_putrow.o \
        rle_row_alc.o \
        scanargs.o vaxshort.o     

all: librle.a

librle.a: $(OBJECTS)
	rm -f $@
	ar rc $@ $^
	$(RANLIB) $@

# Rule for objects.
$(OBJECTS): %.o: %.c
	$(CC) -c $(CFLAGS) -o $@ $<

.PHONY: clean
clean: 
	rm -f *.o *.s *.i librle.a

=== pbm/pbmtoppa/Makefile ===
SRCDIR = ../..
BUILDDIR = $(SRCDIR)
include $(BUILDDIR)/Makefile.config

INCLUDE = -I$(SRCDIR)/shhopt -I$(SRCDIR)/include/

all: pbmtoppa

merge: pbmtoppa

pbmtoppa: pbmtoppa.o ppa.o pbm.o cutswath.o $(NETPBMLIB)
	$(LD) $(LDFLAGS) -o pbmtoppa pbmtoppa.o ppa.o pbm.o cutswath.o \
	  -L$(SRCDIR)/lib/shared/ $(NETPBMLIB)

%.o: %.c
	$(CC) $(CFLAGS) $(INCLUDE) -c $< -o $@

BINARIES=pbmtoppa
MANUALS1=pbmtoppa

include $(SRCDIR)/Makefile.common

clean: clean.common

FORCE:

=== pnm/pnmtopalm/Makefile ===
SRCDIR = ../..
BUILDDIR = $(SRCDIR)
SRCSUBDIR = $(SRCDIR)/pnm/pnmtopalm

include $(BUILDDIR)/Makefile.config

INCLUDE = -I$(SRCDIR)/shhopt

BINARIES = palmtopnm pnmtopalm
OBJECTS = $(patsubst %, %.o, $(BINARIES)) palmcolormap.o

MANUALS1 = $(BINARIES)

all: $(BINARIES)

$(BINARIES): %: %.o palmcolormap.o $(NETPBMLIB)
	$(LD) $(LDFLAGS) -o $@ $< palmcolormap.o $(NETPBMLIB) \
	  $(CDEBUG)

gen_palm_colormap : $(SRCSUBDIR)/gen_palm_colormap.c palmcolormap.o
	$(CC) $(INCLUDE) $(CFLAGS) $(LDFLAGS) -o $@ $< palmcolormap.o \
	  $(NETPBMLIB) $(CDEBUG)


.PHONY: install.bin-maps
install.bin: install.bin-maps
install.bin-maps:
# The following probably ought to be a separate install.data target, but
# today this is the only place in Netpbm that installs data files, and we're
# too lazy to add install.data to the whole package.  2001.01.07 BJH
	for x in palmcolor8.map palmgray1.map palmgray2.map palmgray4.map ;\
	do \
	   $(INSTALL) -c -m $(INSTALL_PERM_DATA) $(SRCSUBDIR)/$$x \
               $(INSTALLDATA)/$$x; \
	done

include $(SRCDIR)/Makefile.common

.PHONY: clean
clean: clean.common
	rm -f gen_palm_colormap
FORCE:

=== ppm/ppmtompeg/Makefile ===
SRCDIR = ../..
BUILDDIR = $(SRCDIR)
include $(BUILDDIR)/Makefile.config

ifeq ($(JPEGLIB_DIR),NONE)
  JPEGLD =
  # 'nojpeg' is a module that implements all the jpeg access routines as
  # error messages that tell you we don't have jpeg capability
  JPEG_MODULE = nojpeg
else
  JPEGLD = -L$(JPEGLIB_DIR) -ljpeg
  ifeq ($(NEED_RUNTIME_PATH),Y)
    JPEGLD += -R$(JPEGLIB_DIR)
  endif
  # 'jpeg' is a module that accesses J-movies via the JPEG library.
  JPEG_MODULE = jpeg
endif

# shhopt is in the following for the benefit of make dep
INCLUDE = -I. -Iheaders -I$(SRCDIR)/shhopt
ifneq ($(JPEGHDR_DIR),NONE)
  INCLUDE += -I$(JPEGHDR_DIR)
endif

# use -DLONG_32 iff
#	1) long's are 32 bits and
#	2) int's are not
#
# if you are using a non-ANSI compiler, then use:
#	-DNON_ANSI_COMPILER
#
# one other option:
#	-DHEINOUS_DEBUG_MODE
#

MP_BASE_OBJS = mfwddct.o postdct.o huff.o bitio.o mheaders.o
MP_ENCODE_OBJS = iframe.o pframe.o bframe.o psearch.o bsearch.o block.o 
MP_OTHER_OBJS = mpeg.o subsample.o param.o rgbtoycc.o \
	readframe.o combine.o jrevdct.o frame.o fsize.o frametype.o \
	specifics.o rate.o opts.o
ifeq ($(NETWORKLD),NONE)
  MP_PARALLEL_OBJS = noparallel.o
  LIB_NETWORKLD =
else
  MP_PARALLEL_OBJS = parallel.o
  LIB_NETWORKLD = $(NETWORKLD)
endif
MP_ALL_OBJS = $(MP_BASE_OBJS) $(MP_OTHER_OBJS) $(MP_ENCODE_OBJS) \
	      $(MP_PARALLEL_OBJS) $(JPEG_MODULE).o main.o
MP_INCLUDE = mproto.h mtypes.h huff.h bitio.h
MP_MISC = Makefile huff.table parse_huff.pl

.PHONY: all merge
all merge: ppmtompeg

ppmtompeg: $(MP_ALL_OBJS) $(NETPBMLIB)
	$(LD) -o $@ $(LDFLAGS) $(INCLUDE) \
          $(MP_ALL_OBJS) $(NETPBMLIB) $(JPEGLD) $(LIB_NETWORKLD) \
	  -lm \
	  $(CDEBUG)

profile: $(MP_ALL_OBJS) $(NETPBMLIB)
	$(LD) -o $@ -Bstatic -pg $(LDFLAGS) $(INCLUDE) \
          $(MP_ALL_OBJS) $(NETPBMLIB) $(JPEGLD) $(LIB_NETWORKLD) \
	-lm \
	  $(CDEBUG)


$(MP_ALL_OBJS) headers.o:%.o:%.c # $(HEADERLINKS)
	$(CC) -c $< -o $@ $(CFLAGS) $(INCLUDE) $(CDEBUG)


BINARIES = ppmtompeg
NOMERGEBINARIES = ppmtompeg
SCRIPTS = 
MANUALS1 = ppmtompeg

include $(SRCDIR)/Makefile.common

#########
# OTHER #
#########

#
# Perl is necessary if you want to modify the Huffman RLE encoding table.
#
PERL = perl

# The following stuff is for the Huffman encoding tables.  It's commented-out
# because you probably don't want to change this.  If you do, then uncommment
# it.
#
# huff.h: huff.c
#
# huff.c: parse_huff.pl huff.table
#	$(PERL) parse_huff.pl huff.table

MP_ALL_SRCS = $(patsubst %.o, %.c, $(MP_ALL_OBJS))

depend: huff.c
	makedepend -- $(CFLAGS) $(INCLUDE) -- $(MP_ALL_SRCS)

wc:;		wc -l *.[ch] headers/*.h *.pl *.table
ci:;		ci -l $(MP_ALL_SRCS) $(MP_INCLUDE) $(MP_MISC)
tags: $(MP_ALL_SRCS)
	ctags -t $(MP_ALL_SRCS)
	etags -f TAGS -t $(MP_ALL_SRCS) headers/*.h

new:    clean
	$(MAKE) depend
	$(MAKE) tags

clean: clean.common

#
# WARNING: this assumes you're using GNU indent...
#
indent:;	indent -T FILE -T int8 -T int16 -T int32 -T uint8 -T uint16 -T uint32  -T BitBucket -T MpegFrame -T Block -T FlatBlock $(MP_ALL_SRCS)

spotless: clean	
	rm -f huff.c huff.h *.pure.a

FORCE:

# 
# Copyright (c) 1995 The Regents of the University of California.
# All rights reserved.
# 
# Permission to use, copy, modify, and distribute this software and its
# documentation for any purpose, without fee, and without written agreement is
# hereby granted, provided that the above copyright notice and the following
# two paragraphs appear in all copies of this software.
# 
# IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY FOR
# DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT
# OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF THE UNIVERSITY OF
# CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# 
# THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES,
# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
# AND FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE PROVIDED HEREUNDER IS
# ON AN "AS IS" BASIS, AND THE UNIVERSITY OF CALIFORNIA HAS NO OBLIGATION TO
# PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
# 


##############################################################################
# DO NOT DELETE THIS LINE -- make depend depends on it.

## netpbm-free 10.0-8ubuntu1.2

=== debian/changelog ===
netpbm-free (2:10.0-8ubuntu1.2) breezy-security; urgency=low

  * SECURITY UPDATE: Arbitrary code execution with crafted images.
  * pnm/pnmtopng.c:
    - Increase size of alphas_first_index and alphas_of_color_cnt arrays to
      fix off-by-one buffer overflow when using -alpha with an image with
      exactly 256 colors.
    - CVE-2005-3662
  * pnm/pnmtopng.c:
    - Fix buffer overflow on overly long text lines.
    - CVE-2005-3632

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 21 Nov 2005 12:09:56 +0000

netpbm-free (2:10.0-8ubuntu1.1) breezy-security; urgency=low

  * SECURITY UPDATE: Arbitrary code exection with crafted images.
  * ./pnm/pnmtopng.c: Fix some uninitialized variables to fix buffer overflow
    with certain PNG images.
  * CAN-2005-2978

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 13 Oct 2005 13:24:07 +0200

netpbm-free (2:10.0-8ubuntu1) breezy; urgency=low

  * SECURITY UPDATE: Fix arbitrary code execution.
  * pnm/pstopnm.c:
    - Use -dSAFER when calling gs to prohibit file I/O and opening pipes to
      arbitrary programs in untrusted PostScript code.
  * References:
    CAN-2005-2471
    http://bugs.debian.org/319757

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 11 Aug 2005 13:37:40 +0200

netpbm-free (2:10.0-8) unstable; urgency=low

  * add missing report for windows icon files in icontopbm; until now, we
    detected them, but didn't report them. Thanks, Steve, for pointing it out.
    Closes: #275663.

 -- Andreas Barth <aba@amd>  Sun, 10 Oct 2004 11:49:32 +0200

netpbm-free (2:10.0-7) unstable; urgency=medium

  * really include the fix of #238372.

 -- Andreas Barth <aba@not.so.argh.org>  Sun, 05 Sep 2004 16:31:28 +0200

netpbm-free (2:10.0-6) unstable; urgency=high

  * add warning in icontopbm when used on a windows icon. Closes: #268676.
  * ppmlabel manpage improved; thanks to Richard Hosker. Closes: #265366.
  * pnmtops supports 4-level grayscale again; thanks to Wayne Schlitt.
    Closes: #248652.
  * no need to depend on essential sed. Closes: #263787.
  * add warning about pnmtofits/signed data; thanks to Justin Pryzby.
    For details, see #268239.
  * fix inconsistency error in pnmtopng; thanks to Ross J. Reedstrom.
    Closes: #238372.

 -- Andreas Barth <aba@not.so.argh.org>  Sun, 29 Aug 2004 17:16:57 +0200

netpbm-free (2:10.0-5) unstable; urgency=low

  * build-depends against libtiff4.
  * fix typo in ppmtowinicon. Closes: #261999.

 -- Andreas Barth <aba@not.so.argh.org>  Thu, 29 Jul 2004 20:25:46 +0200

netpbm-free (2:10.0-4) unstable; urgency=low

  * gif is free again! So added ppmtogif.

 -- Andreas Barth <aba@not.so.argh.org>  Thu, 08 Jul 2004 20:06:39 +0200

netpbm-free (2:10.0-3) unstable; urgency=low

  * removed subtle build error with sudo

 -- Andreas Barth <aba@not.so.argh.org>  Tue,  3 Feb 2004 19:27:10 +0100
  

netpbm-free (2:10.0-2) unstable; urgency=low

  * Really included st4topgm this time.
  * winicontoppm can now handle icons > 256 colors. Closes: #153917
  * fixed manpage of ppmtowinicon. Closes: #215756
  * pnmnorm can now handle 16-bit samples. Closes: #129452
  * ppmtobmp uses correct bpp-values. Closes: #227125

 -- Andreas Barth <aba@not.so.argh.org>  Sun, 18 Jan 2004 19:34:48 +0100

netpbm-free (2:10.0-1) unstable; urgency=low

  * ppmtompeg cares about buffering now. Closes: #218295
  * catch up with netpbm.sf.net 10.0
    - pnmtops: No setpagedevice by default
    - added pbmtextps
    - minor changes in HISTORY
  * Included st4topgm. Closes: #223506
  * renamed optParseOptions* to pm_*
  * started reworking of documentation, and added README.1st

 -- Andreas Barth <aba@not.so.argh.org>  Sun,  4 Jan 2004 19:55:15 +0100

=== debian/control ===
Source: netpbm-free
Section: graphics
Priority: optional
Maintainer: Andreas Barth <aba@not.so.argh.org>
Uploaders: Steve McIntyre <93sam@debian.org>
Standards-Version: 3.6.1.0
Build-Depends: libtiff4-dev, libjpeg62-dev, debhelper (>= 4), libpng12-dev, zlib1g-dev, flex

Package: netpbm
Architecture: any
Depends: bc, libnetpbm10 (>= ${Source-Version}), ${shlibs:Depends}
Recommends: gs | gs-aladdin
Conflicts: netpbm-nonfree (<= 1:19940301.1-3), pnmtopng, pbmwbmp, netpbm-dev (<= 2:9.10), ucbmpeg (<= 1r2-6)
Replaces: pnmtopng, pbmwbmp, netpbm-dev, netpbm-nonfree
Provides: pnmtopng, pbmwbmp
Description: Graphics conversion tools
 Netpbm is a toolkit for manipulation of graphic images, including
 conversion of images between a variety of different formats. There
 are over 220 separate tools in the package including converters for
 more than 80 graphics formats.
 .
 Website is http://netpbm.alioth.debian.org/
Section: graphics

Package: libnetpbm10
Architecture: any
Depends: ${shlibs:Depends}
Description: Shared libraries for netpbm
 This package contains the shared libraries used by netpbm.
Section: libs

Package: libnetpbm10-dev
Architecture: any
Depends: libnetpbm10
Conflicts: netpbm-dev,libnetpbm9-dev
Replaces: netpbm-dev
Provides: netpbm-dev
Description: Development libraries and header files
 This development package contains the library and header
 files for the pbm, pgm, pnm, and ppm graphics formats.
Section: libdevel

Package: libnetpbm9
Architecture: any
Depends: ${shlibs:Depends}
Description: Shared libraries for netpbm
 This package contains shared libraries used to be used by netpbm.
 Now we've switched to a single shared library, look out for libnetpbm10.
 This package is provided for backward compatibility.
Section: libs

Package: libnetpbm9-dev
Architecture: any
Depends: libnetpbm9
Conflicts: netpbm-dev
Replaces: netpbm-dev
Provides: netpbm-dev
Description: Development libraries and header files
 This development package contains the library and header
 files for the pbm, pgm, pnm, and ppm graphics formats, if the split
 and now deprecated libraries are used.
 .
 This package is provided for backward compatibility.
Section: libdevel

## netpbm-free 10.0.2

=== pbm/Makefile ===
--- 
+++ 
@@ -19,6 +19,12 @@
 		pbmtox10bm pbmtoxbm pbmtoybm pbmtozinc \
 		pbmupc pi3topbm \
 		wbmptopbm xbmtopbm ybmtopbm	
+
+CFLAGS = `dpkg-buildflags --get CFLAGS`
+CFLAGS += `dpkg-buildflags --get CPPFLAGS`
+LDFLAGS = `dpkg-buildflags --get LDFLAGS`
+export CFLAGS
+export LDFLAGS
 
 ifneq ($(LEX)x,x)
   PORTBINARIES += thinkjettopbm

=== pgm/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 PORTBINARIES =	asciitopgm bioradtopgm fstopgm hipstopgm \
 		lispmtopgm pbmtopgm pgmbentley pgmenhance pgmhist \
 		pgmnoise pgmramp pgmslice pgmtofs pgmtolispm \
-		pgmtopbm psidtopgm sbigtopgm
+		pgmtopbm psidtopgm sbigtopgm st4topgm
 MATHBINARIES =	pgmcrater pgmedge pgmtexture rawtopgm pgmkernel
 BINARIES =	$(PORTBINARIES) $(MATHBINARIES)

=== pnm/Makefile ===
SRCDIR = ..
BUILDDIR = ..
include $(BUILDDIR)/Makefile.config

URTDIR = $(BUILDDIR)/urt
LIBURT = librle.a

INCLUDE = -I$(SRCDIR)/shhopt
ifneq ($(TIFFHDR_DIR),NONE)
  INCLUDE += -I$(TIFFHDR_DIR)
endif
ifneq ($(PNGHDR_DIR),NONE)
  INCLUDE += -I$(PNGHDR_DIR)
  INCLUDE += -I$(ZHDR_DIR)
endif
ifneq ($(JPEGHDR_DIR),NONE)
  INCLUDE += -I$(JPEGHDR_DIR)
endif
ifneq ($(URTHDR_DIR),NONE)
  INCLUDE += -I$(URTHDR_DIR)
endif

ifeq ($(JPEGLIB_DIR),NONE)
  JPEGLD =
else
  JPEGLD = -L$(JPEGLIB_DIR) -ljpeg
  ifeq ($(NEED_RUNTIME_PATH),Y)
    JPEGLD += -R$(JPEGLIB_DIR)
  endif
endif

ifeq ($(PNGLIB_DIR),NONE)
  PNGLD =
else
  PNGLD = -L$(PNGLIB_DIR) -lpng
  ifeq ($(NEED_RUNTIME_PATH),Y)
    PNGLD += -R$(PNGLIB_DIR)
  endif
endif

ifeq ($(URTLIB_DIR),NONE)
  URTLD =
else
  URTLD = -L$(URTLIB_DIR) -lrle
  ifeq ($(NEED_RUNTIME_PATH),Y)
    URTLD += -R$(URTLIB_DIR)
  endif
endif

ifeq ($(TIFFLIB_DIR),NONE)
  TIFFLD =
else
  TIFFLD = -L$(TIFFLIB_DIR) -ltiff
  ifeq ($(NEED_RUNTIME_PATH),Y)
    TIFFLD += -R$(TIFFLIB_DIR)
  endif
endif

ifeq ($(ZLIB_DIR),NONE)
  ZLD =
else
  ZLD = -L$(ZLIB_DIR) -lz
  ifeq ($(NEED_RUNTIME_PATH),Y)
    ZLD += -R$(ZLIB_DIR)
  endif
endif



# We tend to separate out the build targets so that we don't have
# any more dependencies for a given target than it really needs.
# That way, if there is a problem with a dependency, we can still
# successfully build all the stuff that doesn't depend upon it.
# This package is so big, it's useful even when some parts won't 
# build.

PORTBINARIES =  bmptopnm fitstopnm gemtopnm giftopnm pamcut \
		pamdeinterlace pamdice pamfile pamoil pamstretch \
		pnmalias pnmarith pnmcat pnmcomp pnmconvol pnmcrop \
		pnmcut pnmdepth pnmenlarge pnmfile pnmflip pnmhisteq \
		pnmhistmap pnminvert pnmmontage pnmpad pnmpaste \
		pnmnorm \
		pnmremap pnmsmooth pnmsplit \
		pnmtile pnmtoddif pnmtofits \
		pnmtoplainpnm pnmtops pnmtorast \
		pnmtosgi pnmtosir pnmtoxwd pstopnm \
		pamstack \
		rasttopnm sgitopnm sirtopnm xwdtopnm zeisstopnm
MATHBINARIES =	pnmcolormap pnmgamma pnmnlfilt pnmpsnr pnmrotate \
	pnmscale pnmscalefixed pnmshear

# We don't include programs that have special library dependencies in the
# merge scheme, because we don't want those dependencies to prevent us
# from building all the other programs.

NOMERGEBINARIES = 
ifneq ($(PNGHDR_DIR),NONE)
  ifneq ($(PNGLIB_DIR),NONE)
    NOMERGEBINARIES += pnmtopng pngtopnm
  endif
endif
ifneq ($(JPEGHDR_DIR),NONE)
  ifneq ($(JPEGLIB_DIR),NONE)
    NOMERGEBINARIES += jpegtopnm pnmtojpeg
  endif
endif
ifneq ($(TIFFHDR_DIR),NONE)
  ifneq ($(TIFFLIB_DIR),NONE)
    NOMERGEBINARIES += tifftopnm pnmtotiff pnmtotiffcmyk
  endif
endif
ifneq ($(URTHDR_DIR),NONE)
  ifneq ($(URTLIB_DIR),NONE)
    NOMERGEBINARIES +=  rletopnm pnmtorle
  endif
endif

MERGEBINARIES = $(PORTBINARIES) $(MATHBINARIES)


BINARIES = $(MERGEBINARIES) $(NOMERGEBINARIES)
SCRIPTS = anytopnm pamstretch-gen pnmindex pnmmargin pnmquant 
# MERGE_ALIASES is additional names to be linked to the merge binary which are
# alternate names for a program whose source is called something else.
# Every name here must be referenced in pnmmerge.c.
MERGE_ALIASES = pnmnoraw gemtopbm

OBJECTS = $(patsubst %, %.o, $(BINARIES)) exif.o

MERGE_OBJECTS = $(patsubst %,%.o2, $(MERGEBINARIES))

MANUALS1 = $(BINARIES) $(SCRIPTS)
MANUALS3 = libpnm
MANUALS5 = pam pnm

MERGENAME = pnmmerge

# The Tiff library references math functions.
# dsc@clara.net reports his Tiff library depending on Zlib on 2001.12.26.
# it never did before.
tifftopnm pnmtotiff pnmtotiffcmyk: %: %.o $(NETPBMLIB)
	$(LD) $(LDFLAGS) -o $@ $@.o $(NETPBMLIB) \
	  $(TIFFLD) $(ZLD) $(JPEGLD) -lm $(TIFFLIB_LDFLAGS) $(CDEBUG)

pngtopnm pnmtopng: %: %.o $(NETPBMLIB)
	$(LD) $(LDFLAGS) -o $@ $@.o $(NETPBMLIB) \
	  $(PNGLD) $(ZLD) -lm $(CDEBUG)

jpegtopnm: %: %.o exif.o $(NETPBMLIB)
	$(LD) $(LDFLAGS) -o $@ $< exif.o $(NETPBMLIB) $(JPEGLD) \
	   -lm $(CDEBUG) 

pnmtojpeg: %: %.o $(NETPBMLIB)
	$(LD) $(LDFLAGS) -o $@ $@.o $(NETPBMLIB) \
	  -L$(JPEGLIB_DIR) -ljpeg $(CDEBUG)

ifeq ($(URTLIB_DIR),$(URTDIR))
# We're using the internal URT library, so make sure it's built
URTLIB_DEP = $(URTDIR)/$(LIBURT)
else
# It's user's own URT library, so if it doesn't exist now -- too bad.
URTLIB_DEP = 
endif

rletopnm pnmtorle: %: %.o $(NETPBMLIB) $(URTLIB_DEP)
	$(LD) $(LDFLAGS) -o $@ $@.o $(NETPBMLIB) \
	  $(URTLD) $(CDEBUG)

$(URTDIR)/$(LIBURT): FORCE
	$(MAKE) -C $(URTDIR) $(LIBURT)

include $(SRCDIR)/Makefile.common

.PHONY: clean
clean: clean.common
	$(MAKE) -C fiasco clean
	$(MAKE) -C pnmtopalm clean

FORCE:

=== ppm/Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 		ppmtoyuvsplit ppmtv ppmtoneo \
 		qrttoppm rawtoppm rgb3toppm sldtoppm spctoppm \
 		sputoppm tgatoppm winicontoppm ximtoppm xpmtoppm xvminitoppm \
-		yuvtoppm yuvsplittoppm
+		yuvtoppm yuvsplittoppm ppmtogif
 
 #		picttoppm 
 # We don't build vidtoppm by default, because it requires special libraries

=== pnm/fiasco/Makefile ===
SRCDIR=../..
BUILDDIR = $(SRCDIR)

include $(BUILDDIR)/Makefile.config

INCLUDE = -I$(SRCDIR)/shhopt -I. -Icodec -Iinput -Ioutput -Ilib

BINARIES = pnmtofiasco fiascotopnm

MANUALS1 = $(BINARIES)

all: $(BINARIES)

pnmtofiasco_OBJECTS = binerror.o cwfa.o getopt.o getopt1.o params.o
fiascotopnm_OBJECTS =  binerror.o dwfa.o getopt.o getopt1.o params.o

OBJECTS = binerror.o cwfa.o getopt.o getopt1.o params.o dwfa.o

FIASCOLIBS = codec/libfiasco_codec.a input/libfiasco_input.a \
	    output/libfiasco_output.a lib/libfiasco_lib.a 

pnmtofiasco: $(pnmtofiasco_OBJECTS) $(FIASCOLIBS) $(LIBOPT) $(NETPBMLIB)
	$(LD) $(LDFLAGS) -o $@ $(pnmtofiasco_OBJECTS) \
	`$(LIBOPT) $(FIASCOLIBS)` \
	 -L$(SRCDIR)/lib/share/ $(NETPBMLIB) -lm $(CDEBUG)

fiascotopnm: $(fiascotopnm_OBJECTS) $(FIASCOLIBS) $(LIBOPT)
	$(LD) $(LDFLAGS) -o $@ $(fiascotopnm_OBJECTS) \
	`$(LIBOPT) $(FIASCOLIBS)` \
	 -L$(SRCDIR)/lib/share/ $(NETPBMLIB) -lm $(CDEBUG)

$(pnmtofiasco_OBJECTS) $(fiascotopnm_OBJECTS): \
	fiasco.h config.h

codec/libfiasco_codec.a: FORCE
	$(MAKE) -C codec libfiasco_codec.a

input/libfiasco_input.a: FORCE
	$(MAKE) -C input libfiasco_input.a

output/libfiasco_output.a: FORCE
	$(MAKE) -C output libfiasco_output.a

lib/libfiasco_lib.a: FORCE
	$(MAKE) -C lib libfiasco_lib.a


include $(SRCDIR)/Makefile.common

.PHONY: clean
clean: clean.common
	$(MAKE) -C codec clean
	$(MAKE) -C input clean
	$(MAKE) -C output clean
	$(MAKE) -C lib clean

FORCE:

=== debian/changelog ===
netpbm-free (2:10.0.2-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: f92f37f0f949bec937bd609c1725f8e5bf3a94b3']

 -- shuttle <shuttle@deepin.com>  Thu, 19 Dec 2019 22:42:18 +0000

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independant
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

DEBIAN_DIR = $(shell pwd)/debian

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

build: build-stamp
build-stamp:
	dh_testdir
	ln -sf shhopt.h shhopt/netpbm-shhopt.h
	#dh_quilt_patch
	cp -af Makefile.config.in Makefile.config
	make depend

	make build

	touch build-stamp


clean:
	dh_testdir
	dh_testroot
	touch Makefile.config .depend
	rm -f build-stamp
	make clean
	dh_clean
	rm -f shhopt/netpbm-shhopt.h
	rm -f Makefile.config .depend
	rm -f debian/*.debhelper.log
	#dh_quilt_unpatch

# Build architecture-independent files here.
binary-indep: build

# Build architecture-dependent files here.
binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_prep

# install netpbm
	make PREFIX=$(DEBIAN_DIR)/netpbm/usr \
		install.bin
	make PREFIX=$(DEBIAN_DIR)/netpbm/usr/share \
		install.man.bin install.man.general
	dh_installdirs -pnetpbm usr/share/doc/netpbm
	install -m 644 HISTORY $(DEBIAN_DIR)/netpbm/usr/share/doc/netpbm/changelog
	install -m 755 debian/imagetops $(DEBIAN_DIR)/netpbm/usr/bin

# install libnetpbm10
	make PREFIX=$(DEBIAN_DIR)/libnetpbm10/usr \
		install.lib.shared.lib

# install libnetpbm10-dev
	make PREFIX=$(DEBIAN_DIR)/libnetpbm10-dev/usr/ \
		install.lib.hdr install.lib.static install.lib.shared.devel
	make PREFIX=$(DEBIAN_DIR)/libnetpbm10-dev/usr/share/ \
		install.man.lib

# install libnetpbm9
	make PREFIX=$(DEBIAN_DIR)/libnetpbm9/usr \
		install.lib.old-shared.lib

# install libnetpbm9-dev
	make PREFIX=$(DEBIAN_DIR)/libnetpbm9-dev/usr/ \
		install.lib.hdr install.lib.old-static install.lib.old-shared.devel
	make PREFIX=$(DEBIAN_DIR)/libnetpbm9-dev/usr/share/ \
		install.man.old-lib

	dh_makeshlibs
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installman
	dh_installchangelogs
	dh_strip
	dh_compress usr/share/doc/netpbm/COPYRIGHT.PATENT
	dh_fixperms
	dh_installdeb
	dh_shlibdeps -L libnetpbm10 -l debian/libnetpbm10/usr/lib -Nlibnetpbm9 -Nlibnetpbm9-dev
	dh_shlibdeps -L libnetpbm9 -l debian/libnetpbm9/usr/lib -plibnetpbm9 -plibnetpbm9-dev
	
	dh_gencontrol
	cat debian/netpbm/DEBIAN/control | sed 's/libnetpbm10, //g' > debian/netpbm/DEBIAN/control.1
	mv -f debian/netpbm/DEBIAN/control.1 debian/netpbm/DEBIAN/control

	dh_md5sums
	dh_fixperms
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## netpbm-free 10.78.05

=== debian/changelog ===
netpbm-free (2:10.78.05-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #159847, #380172, LP: #270479)
    - Bump libnetpbm soname to 11 and drop the old compatibility library
      (libnetpbm9)
    - Fix various segfaults (Closes: #315795, #412935, #412783, #412785,
      #502847, #614156, #777480, #777485, #777489, #777533, #838367)
    - Drop all the patches. The current fork is 10 years+ old and most of them
      are not applying anymore. Instead rely on the security patches shipped
      on Fedora.
    - Do not call install with -s and honour DEB_BUILD_OPTIONS=nostrip
      (Closes: #777476)
    - Ship the ppmtoppm program (Closes: #596113)
    - Add C++ guard in header files (Closes: #377247)
    - Add multi-image PBM support to pbmttolj (Closes: #398953)
    - Add -truetransparent option to ppmtowinicon (Closes: #597686)
    - Ship the pnmstitch program (Closes: #405877)
    - Add "-image=all" option to giftopnm (Closes: #395087)
  * Bump debhelper compatibility to 10
  * Switch to dh sequences.
  * Switch to source format 3.0 (quilt)
  * Bump Standards-Version to 3.9.8
  * debian/control:
    - Add a dependency against perl on netpbm package (${perl:Depends})
    - Add libx11-dev, pkg-config and libxml2-dev to the build-dependencies
    - Add a build-dependency against python, used to generate the manpages
    - Drop all the old Conflict/Replaces, these were ancient
    - Point the Homepage to http://netpbm.sourceforge.net/
  * Install a netpbm.pc pkg-config file
  * Build with SSE support on amd64 architecture

 -- Laurent Bigonville <bigon@debian.org>  Thu, 15 Jun 2017 01:24:45 +0200

netpbm-free (2:10.0-15.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with libpng1.6 -- see 648131libpng16.patch (Closes: #648131)
  * Change B-D to libpng-dev (Closes: #662444)

 -- Tobias Frost <tobi@debian.org>  Sat, 30 Jan 2016 16:51:10 +0100

netpbm-free (2:10.0-15.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Indicate that netbpm replaces files in kdelibs4c2a (closes: #766774).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 02 Nov 2014 02:34:18 +0000

netpbm-free (2:10.0-15.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Colin Watson ]
  * Make netpbm Multi-Arch: foreign, so that it can satisfy
    cross-build-dependencies (Closes: #700007).

  [ Michael Terry ]
  * Build-Depend on libtiff5-dev (Closes: #681009).

  [ Andrew Shadura ]
  * Numerous fixes to the manpages, thanks to Bjarni Ingi Gislason,
    Christophe Troestler, Torkel Bjørnson-Langen, Benoit-Pierre Demaine
    (Closes: #294080, #464879, #663254, #675259, #675260, #675261, #675381,
    #675383, #675384, #735262).
  * Remove extra debug messages from pcxtoppm, thanks to Vladimir Rutsky
    (Closes: #531817).
  * Add imagetops (Closes: #623444).
  * Enable hardening flags, add missing format strings; thanks to Moritz
    Muehlenhoff (Closes: #655737).

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 05 Oct 2014 21:51:56 +0200

netpbm-free (2:10.0-15) unstable; urgency=low

  * fix patch for jpeg7 to really work.

 -- Andreas Barth <aba@not.so.argh.org>  Fri, 29 Jul 2011 23:34:21 +0000

netpbm-free (2:10.0-13) unstable; urgency=low

  * add patch to build with jpeg7, thanks to Bill Allombert
  * adjust build-dependencies to build with libjpeg-dev and libtif-dev.
    Closes: #546416
  * fix pbmtextps, thanks to Håkon Stordah. Closes: #405048
  * pnmquant works with stdin. Thanks to Héctor García.
    Closes: #283203
  * fix pstopnm BoundingBox with llx = -1. Thanks to Christophe Rhodes.
    Closes: #325341
  * ignore white-space with images. Thanks to Shaun Jackman.
    Closes: #354891
  * fix gif2pnm when LZW code is split across three blocks.
    Thanks to Rik Snel. Closes: #483921
  * fix pnmindex to handle space in file names. Thanks to
    Anders Boström. Closes: #495716
  * fix pnmquant to work with stdin. Thanks to Bart Massey.
    Closes: #602360
  * fix pcxtoppm and docu. Thanks to Vladimir Rutsky.
    Closes: #531626, #531630.

 -- Andreas Barth <aba@not.so.argh.org>  Fri, 29 Jul 2011 13:59:43 +0000

netpbm-free (2:10.0-12.2) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix stack-based buffer overflow when processing XPM
    image header fields. This can result in the execution
    of arbitrary code (CVE-2009-4274; Closes: #569060)

 -- Nico Golde <nion@debian.org>  Sun, 20 Jun 2010 14:27:25 +0200

netpbm-free (2:10.0-12.1) unstable; urgency=low

  [Jari Aalto]
  * Non-maintainer upload.
  * debian/compat
    - update to 7.
  * debian/control
    + top level
      - (Standards-Version): update from 3.6.1.0 to 3.8.4 (W: lintian).
      - (Homepage): Move here (P: lintian).
      - (Vcs-*): Add new fields.
    + netpbm
      - (Build-Depends): update to debhelper 7 (W: lintian).
      - (Depends): change obsolete gs, gs-aladdin to ghostscript (E:
        lintian). Add ${misc:Depends} for debhelper (W: lintian). Use newer
        tag ${source:Version} (W: lintian).
      - (Section): Remove inherited field (I: lintian).
    + libnetpbm9
      - Depends): Add ${misc:Depends} for debhelper (W: lintian).
      - (Description): Add 'v9' to make line unique (I: lintian).
    + libnetpbm9-dev
      - (Depends): Add ${misc:Depends} for debhelper' (W: lintian).
        Add ${binary:Version} (E: lintian).
      - (Description): Add 'v9' to make line unique (I: lintian).
    + libnetpbm10
      - (Description): Improve first line (I: lintian).
      - (Depends): Add ${misc:Depends} for debhelper (W: lintian).
        Add ${binary:Version} (E: lintian).
    + libnetpbm10-dev
      - (Description): Improve first line (I: lintian).
      - (Depends): Add ${misc:Depends} for debhelper (W: lintian).
  * debian/copyright
    - Change to UTF-8 (W: lintian).
  * ppm/{xpmtoppm.c,xvminitoppm.c}
    - Fix Gcc 4.4 error: conflicting types for getline (FTBFS serious;


=== debian/control ===
Source: netpbm-free
Section: graphics
Priority: optional
Maintainer: Andreas Barth <aba@not.so.argh.org>
Uploaders: Steve McIntyre <93sam@debian.org>
Standards-Version: 3.9.8
Build-Depends: libtiff5-dev, libjpeg-dev, debhelper (>= 10), libpng-dev, zlib1g-dev, flex, libx11-dev, pkg-config, libxml2-dev, python
Homepage: http://netpbm.sourceforge.net/
Vcs-Browser: http://git.debian.org/?p=collab-maint/netpbm.git
Vcs-Git: git://anonscm.debian.org/collab-maint/netpbm.git

Package: netpbm
Architecture: any
Multi-Arch: foreign
Depends: libnetpbm11 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Recommends: ghostscript
Provides: pnmtopng, pbmwbmp
Description: Graphics conversion tools between image formats
 Netpbm is a toolkit for manipulation of graphic images, including
 conversion of images between a variety of different formats. There
 are over 220 separate tools in the package including converters for
 more than 80 graphics formats.

Package: libnetpbm11
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Graphics conversion tools shared libraries
 This package contains the shared libraries used by netpbm.

Package: libnetpbm11-dev
Section: libdevel
Architecture: any
Depends: libnetpbm11 (= ${binary:Version}), ${misc:Depends}
Conflicts: netpbm-dev,libnetpbm9-dev
Replaces: netpbm-dev
Provides: netpbm-dev
Description: Graphics conversion tools development libraries and header files
 This development package contains the library and header
 files for the pbm, pgm, pnm, and ppm graphics formats.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

include ./version.mk
MAJOR=$(NETPBM_MAJOR_RELEASE)
MINOR=$(NETPBM_MINOR_RELEASE)
POINT=$(NETPBM_POINT_RELEASE)

%:
	dh $@ --no-parallel

override_dh_auto_configure:
	cp config.mk.in config.mk
	cat debian/config.mk.debian >> config.mk
	echo "CFLAGS = `dpkg-buildflags --get CFLAGS`" >> config.mk
ifeq ($(DEB_HOST_ARCH),amd64)
	echo 'WANT_SSE = Y' >> config.mk
endif

override_dh_auto_build:
	dh_auto_build
# build the manpages
	mkdir netpbmdoc
	cd netpbmdoc; \
		$(MAKE) USERGUIDE=../userguide/ -f ../buildtools/manpage.mk manpages

override_dh_auto_clean:
	[ ! -f config.mk ] || $(MAKE) distclean
	rm -rf debian/netpbm-test debian/netpbm-test.bak
	rm -rf netpbmdoc

override_dh_auto_install:
	mkdir -p debian/tmp/
	$(MAKE) package PKGDIR=$(CURDIR)/debian/tmp/usr
# install the manpages
	install -m 0755 -d debian/tmp/usr/share/man/man1
	install -m 0755 -d debian/tmp/usr/share/man/man3
	install -m 0755 -d debian/tmp/usr/share/man/man5
	cd netpbmdoc; \
		$(MAKE) MANDIR=$(CURDIR)/debian/tmp/usr/share/man USERGUIDE=../userguide/ -f ../buildtools/manpage.mk installman
# Move the library to the multi-arch path
	install -m 0755 -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	mv debian/tmp/usr/lib/lib* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	cd debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libnetpbm.so.?? libnetpbm.so
	cp debian/tmp/usr/link/libnetpbm.a debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	install -m 0755 -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	sed -e 's|@INCLUDEDIR@|/usr/include/netpbm|' \
		-e 's|@LINKDIR@|/usr/lib/$(DEB_HOST_MULTIARCH)|' \
		-e 's|@VERSION@|Netpbm $(MAJOR).$(MINOR).$(POINT)|' \
		debian/tmp/usr/pkgconfig_template > debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/netpbm.pc


override_dh_auto_test:
	$(MAKE) check-tree RESULTDIR=$(CURDIR)/debian/netpbm-test || true

override_dh_install:
	dh_install --list-missing
